Support ⇒ New installations ⇒ Installing DF 9.3.3.1 when Running PHP 5.3 + ⇒ Community Forums ⇒ CPG Dragonfly™ CMS
Forum IndexNew installations

Installing DF 9.3.3.1 when Running PHP 5.3 + Reply to topic

Go to page Previous 1, 2

its not installed yet so there is no database

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CentOS, Apache 2.2, MySQL 5.0, PHP 5.3, CPG 9.3.3.1


Today it says server not found.

.:: I met php the 03 December 2003 :: Unforgettable day! ::.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CloudLinux / Apache 2.4 LSAPI / MySQLi 5.6 / PHP 5.6 / DCVS


NanoCaiordo wrote
What if you replace error_reporting in /install.php and /includes/cmsinit.inc to:

error_reporting(E_ALL & ~E_DEPRECATED & ~E_STRICT);


I've tried changing the line and I get

Warning: date_default_timezone_get() [function.date-default-timezone-get]: It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/London' for 'BST/1.0/DST' instead in /home/chantill/public_html/includes/cmsinit.inc on line 62

Warning: Cannot modify header information - headers already sent by (output started at /home/chantill/public_html/includes/cmsinit.inc:62) in /home/chantill/public_html/includes/cmsinit.inc on line 66

Warning: Cannot modify header information - headers already sent by (output started at /home/chantill/public_html/includes/cmsinit.inc:62) in /home/chantill/public_html/includes/cmsinit.inc on line 72

Warning: ini_set() [ref.outcontrol]: Cannot change zlib.output_compression - headers already sent in /home/chantill/public_html/includes/cmsinit.inc on line 83
.

Phoenix suggests I upgrade to the latest cvs version - is it just cmsinit that changes or are there lots of changes? I think I would rather downgrade to an older server with 5.2 than risk cvs on a live website...

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):


Then try with error_reporting(0).

.:: I met php the 03 December 2003 :: Unforgettable day! ::.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CloudLinux / Apache 2.4 LSAPI / MySQLi 5.6 / PHP 5.6 / DCVS


NanoCaiordo wrote
Then try with error_reporting(0).


I think I'll just stay on the older 5.2 server until the next 9.x version of DF that will work ok with php 5.4

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):


i recently saw phoenix posted a link to a packed v9 CVS

.:: I met php the 03 December 2003 :: Unforgettable day! ::.

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
CloudLinux / Apache 2.4 LSAPI / MySQLi 5.6 / PHP 5.6 / DCVS


Well didn't have any choice. I figured If I was going to use Dragonfly
For some projects Later This year and with Dragonfly10 still a way out
from production status.

I got a current 9.3.3.1 vrs from downloads a few days ago
Set error_reporting(E_ALL); //all errors Temporarily disabled cpg_debugger so as to show all php errors
And after some work > I now have.
Dragonfly 9.3.3.1 Running On PHP 5.5

I removed all ereg and other deprecated functions. Got a List HERE
Updated a few Classes (the $this and refer by reference >> bla blas)
Only The template.php and enc classes left to do but they work just
Fine on PHP 5.5.

The Installer was also updated To run on PHP 5.5 both the mysql and mysqli options.

NO PHP errors


Tom

Server specs (Server OS / Apache / MySQL / PHP / DragonflyCMS):
PHP Version 7.0.6 + MariaDB + Dragonfly 9.4 Modified

All times are UTC
Go to page Previous 1, 2


Jump to: